#ifndef RL_CANSTRUCTS_H
#define RL_CANSTRUCTS_H

/*! \brief CANBus message data structure */
typedef union
{
	struct{
				unsigned char byte1;
	}oneByteMsg;

	struct{
			unsigned char byte1, byte2;
	}twoByteMsg;

	struct{
			unsigned char byte1, byte2, byte3;
	}threeByteMsg;

	struct{
		unsigned char byte1, byte2, byte3, byte4;
	}fourByteMsg;

	struct{
		unsigned char byte1, byte2, byte3, byte4, byte5;
	}fiveByteMsg;

	struct{
		unsigned char byte1, byte2, byte3, byte4, byte5, byte6;
	}sixByteMsg;

	struct{
		unsigned char byte1, byte2, byte3, byte4, byte5, byte6, byte7;
	}sevenByteMsg;
	struct{
		unsigned char byte1, byte2, byte3, byte4, byte5, byte6, byte7, byte8;
	}eightByteMsg;

} CANMessage;

/*! \brief CANBus data structure */
typedef struct
{
	long id;
	CANMessage message;
   	unsigned int dlc, flags;
    	unsigned long timestamp;
} CANStruct;

#endif
