#include "RL_GPSData.hpp"

/*! GetAltitude: Returns altitude value from stored GPS data

	@return double	- Altitude
*/
double RL_GPSData::GetAltitude() {
	return data.altitude;
}

/*! GetVelocity: Returns velocity value from stored GPS data

	@return double	- Velocity
*/
double RL_GPSData::GetVelocity() {
	return data.speed;
}

/*! GetLatitude: Returns latitude value from stored GPS data

	@return double	- Latitude
*/
double RL_GPSData::GetLatitude() {
	return data.latitude;

}

/*! GetLongitude: Returns longitude value from stored GPS data

	@return double	- Longitude
*/
double RL_GPSData::GetLongitude() {
	return data.longitude;
}

/*! SetAltitude: Sets altitude value on the GPS data

	@param double value	- Altitude
*/
void RL_GPSData::SetAltitude(double value) {
	data.altitude = value;
}

/*! SetVelocity: Sets velocity value on the GPS data

	@param double value	- Velocity
*/
void RL_GPSData::SetVelocity(double value) {
	data.speed = value;
}

/*! SetLatitude: Sets latitude value on the GPS data

	@param double value	- Latitude
*/
void RL_GPSData::SetLatitude(double value) {
	data.latitude = value;
}

/*! SetLongitude: Sets longitude value on the GPS data

	@param double value	- Longitude
*/
void RL_GPSData::SetLongitude(double value) {
	data.longitude = value;
}
