#ifndef RL_GPSDATA_H
#define RL_GPSDATA_H

/*! gps_data: structure for storing GPS data */
struct gps_data {
    double latitude;	/*!< Latitude in degrees (valid if mode >= 2) */
    double longitude;	/*!< Longitude in degrees (valid if mode >= 2) */
    double altitude;	/*!< Altitude in meters (valid if mode == 3) */
    double speed;	/*!< Speed over ground, meters/sec */
};

class RL_GPSData {
public:
	RL_GPSData() {};
	~RL_GPSData() {};

	double GetAltitude();
	double GetVelocity();
	double GetLatitude();
	double GetLongitude();

	void SetAltitude(double);
	void SetVelocity(double);
	void SetLatitude(double);
	void SetLongitude(double);

	/*! GetData: returns current gps_data 
		@return	gps_data*	- GPS data
	*/
	gps_data* GetData() {
		return &data;
	}

private:
	gps_data data; /*!< GPS data stored */
};

#endif
