/*
 * RL_StereoParams.h
 *
 *  Created on: Jun 18, 2010
 *      Author: taha
 */

#ifndef RL_STEREOPARAMS_H_
#define RL_STEREOPARAMS_H_

#include "RL_IntrinsicParams.h"

#define UNIQUE_DEFAULT	10
#define THRESH_DEFAULT	10
#define DISPARITY_DEFAULT 256
#define DPP_DEFAULT 16
#define WINDOW_DEFAULT 7
#define SPECKLE_DEFAULT 0
#define SPECKLE_WINDOW_DEFAULT 0
#define PREFILTER_SIZE_DEFAULT 5
#define PREFILTER_CAP_DEFAULT 1

/*! \brief Stereo Parameters */
class RL_StereoParams {
public:
	RL_IntrinsicParams leftCam, rightCam;
	CvMat matR, matT;
	double R[3][3], T[3];

	RL_StereoParams();
	virtual ~RL_StereoParams();

	bool ReadFromFile(unsigned id1, unsigned id2, const char* path);
	void WriteToFile(unsigned id1, unsigned id2, const char* path);

/*	int unique;
	int thresh;
	int windowSize;
	int xoff;
	int yoff;
	int speckle;
	int disparity;
	int dpp;*/

	int filterSize;
	int filterCap;
	int windowSize;
	int disparity;
	int thresh;
	int unique;
	int speckleWindowSize;
	int speckleRange;
	int dpp;

	bool intrinsicLoaded;

};

#endif /* RL_STEREOPARAMS_H_ */
