/*
 * RL_StereoProcessor.h
 *
 *  Created on: Jun 18, 2010
 *      Author: taha
 */

#ifndef RL_STEREOPROCESSOR_H_
#define RL_STEREOPROCESSOR_H_

#include "opencv.h"
#include "RL_StereoParams.h"

/*! \brief Stereo processor for computing the depthmap */
class RL_StereoProcessor {
public:
	bool parametersSet;

	RL_StereoParams stereoParams;
	CvStereoBMState *cvBMState;

	IplImage *rectLeftImage, *rectRightImage;
	IplImage *depthMap;
	CvMat *leftMapX, *leftMapY;
	CvMat *rightMapX, *rightMapY;

	RL_StereoProcessor(int width,int height);
	virtual ~RL_StereoProcessor();

	IplImage *ComputeDepthMap(IplImage *left, IplImage *right, bool rectified = false);

	bool ReadCameraParamsFromFile(unsigned id1, unsigned id2, const char* path);

	void SetStereoParams(RL_StereoParams params);

	void SetStereoCalibParams(RL_StereoParams params);

	void UpdateRectifyMaps();

	IplImage * RectifyLeft(IplImage *);
	IplImage * RectifyRight(IplImage *);

	void ConvertToColorDepth(IplImage *outRGB);
};

#endif /* RL_STEREOPROCESSOR_H_ */
