/*
* Name: main.cpp
* Desc: Main routine for starting the RL_Reader application
*
* Issue #: 585
*
* Author: Jihyun Cho
*
* Revision History:
* -----------------
*	05/10/2010 ---> Initial Implementation
*/

#include "RL_ViewGUI.hpp"

int main(int argc, char* argv[])
{
	Gtk::Main* pKit = Gtk::Main::instance();
	if ( pKit == NULL )
	{
		pKit = new Gtk::Main( 0, NULL );
	}

	// Initialize the thread system
	if( !Glib::thread_supported() )
	{
		Glib::thread_init();
	}

	RL_ViewGUI* window = new RL_ViewGUI();

	// start the main window
	pKit->run();

	delete window;
	return 0;
}
